MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023290Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-16 16:292013-04-29 15:21
ReporterPawel 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023290: IntCurve_IntPolyPolyGen.gxx, suspicious if/for
DescriptionStarting in line 580:

Standard_Integer Nbtz = InterPP.NbTangentZones();
  Nbtz=0;
  if(Nbtz) {
    Standard_Real ParamInf=D1.FirstParameter();
    Standard_Real ParamSup=D1.LastParameter();
    ParamSup=-RealLast();
    ParamInf=RealLast();
    for(Standard_Integer tz=1; tz <= Nbtz; tz++) {
      Standard_Integer NbPnts = InterPP.ZoneValue(tz).NumberOfPoints();

if(Nbtz) is always 'false'
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021841)
ika (developer)
2012-10-18 18:06
edited on: 2012-10-18 18:07

Dear MKV,

I deleted Nbtz=0 to find any regressions.
Git branch CR23290 is ready to be tested.

Please test.

(0022036)
apn (administrator)
2012-10-31 18:20

Dear BugMaster,
Branch CR23290 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
heal split_angle_advanced A6 W6 Z9 ZA1 ZB2 (lin)
heal split_angle_advanced V4 Z9 ZA1 ZB2 (wnt)
boolean bfuse_complex D4 (wnt)

chl 918 D8

did 001 E1
did 010 A9 C3 C4 F6 F7 G8

xstp 106 F6
xstp 107 Q5
xstp 108 G1 G2

Improvements:
Not detected

Testing case:
Not needed
(0022159)
ika (developer)
2012-11-08 17:54

The unnecessary code was deleted.

Git branch CR23290_1 is ready to be reviewed.

Dear GKA,
Please review.
(0022166)
gka (developer)
2012-11-09 10:40

Branch CR23290_1 is ready to test
(0022212)
mkv (tester)
2012-11-12 15:46

Dear BugMaster,
Branch CR23290_1 (and master from occt GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 1c418d0e
Timestamp: 2012-11-08 13:27:01
Author: ika
Details ] Diff ]
0023290: IntCurve_IntPolyPolyGen.gxx, suspicious if/for
unnecessary code was deleted
mod - src/IntCurve/IntCurve_IntPolyPolyGen.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-16 16:29 Pawel New Issue
2012-07-16 16:29 Pawel Assigned To => bugmaster
2012-07-16 16:29 Pawel Relationship added child of 0023132
2012-10-09 18:52 oan Assigned To bugmaster => ika
2012-10-09 18:53 oan Status new => assigned
2012-10-18 18:06 ika Note Added: 0021841
2012-10-18 18:06 ika Note Edited: 0021841 View Revisions
2012-10-18 18:06 ika Status assigned => resolved
2012-10-18 18:07 ika Note Edited: 0021841 View Revisions
2012-10-18 18:08 ika Assigned To ika => mkv
2012-10-23 15:51 abv Status resolved => reviewed
2012-10-23 15:51 abv Target Version 6.5.4 => 6.6.0
2012-10-31 18:20 apn Note Added: 0022036
2012-10-31 18:21 apn Test case number => Not needed
2012-10-31 18:21 apn Assigned To mkv => ika
2012-10-31 18:21 apn Status reviewed => assigned
2012-11-08 17:54 ika Note Added: 0022159
2012-11-08 17:54 ika Assigned To ika => gka
2012-11-08 17:54 ika Status assigned => resolved
2012-11-09 10:40 gka Note Added: 0022166
2012-11-09 10:40 gka Status resolved => reviewed
2012-11-09 17:18 mkv Assigned To gka => mkv
2012-11-12 15:46 mkv Note Added: 0022212
2012-11-12 15:46 mkv Assigned To mkv => bugmaster
2012-11-12 15:46 mkv Status reviewed => tested
2012-11-16 13:03 ika Changeset attached => occt master 1c418d0e
2012-11-16 13:03 ika Assigned To bugmaster => ika
2012-11-16 13:03 ika Status tested => verified
2012-11-16 13:03 ika Resolution open => fixed
2012-12-10 17:16 ika Changeset attached => occt master 1c418d0e
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker